#!/usr/bin/perl

use strict;
use Irssi;

use vars qw($VERSION %IRSSI);

$VERSION = "0.42";
%IRSSI = (
	authors		=> 'Apic',
	contact		=> 'Apic@IRCnet',
	name		=> 'Stripcolor',
	description	=> 'Script to strip Color Codes in own Messages to a certain Target',
	license		=> 'public Domina', #no typo
	url		=> 'http://irssi.apic.name/StripcolorTarget.pl',
);

our $stripcolortarget = "";

sub event_send_text {
        my ($line, $srv, $witem) = @_;

        if(Irssi::settings_get_str("stripcolortarget") ne "" && lc($witem->{name}) eq lc(Irssi::settings_get_str("stripcolortarget"))) {
                $line =~ s/\03[0-9]*,?[0-9]*//g;
                Irssi::signal_continue($line, $srv, $witem);
        }
}

Irssi::signal_add('send text', \&event_send_text);
Irssi::settings_add_str("misc", "stripcolortarget", "")

